## org.jCharts.properties.util
Class ChartStroke

    java.lang.Object
      org.jCharts.properties.util.ChartItem
          org.jCharts.properties.util.ChartStroke

    public class ChartStroke

extends ChartItem

Immutable Class to simplify the use of Strokes in Charts

Field Summary
`static ChartStroke` `DEFAULT_AXIS`
`static ChartStroke` `DEFAULT_BAR_OUTLINE`
`static ChartStroke` `DEFAULT_CHART_OUTLINE`
`static ChartStroke` `DEFAULT_GRIDLINES`
`static ChartStroke` `DEFAULT_LEGEND_OUTLINE`
`private static Stroke` `DEFAULT_STROKE`
`private static Stroke` `DEFAULT_STROKE_1_5`
`static ChartStroke` `DEFAULT_TICKS`
`static ChartStroke` `DEFAULT_ZERO_LINE`
`private Stroke` `stroke`

Constructor Summary
`ChartStroke(Stroke stroke, Paint paint)`

Method Summary
`void` `draw(Graphics2D graphics2D, Shape shape)`
`void` `fill(Graphics2D graphics2D, Shape shape)`
`void` `setupGraphics2D(Graphics2D graphics2D)` Sets the Paint and Stroke implementations on the Graphics2D Object

Methods inherited from class org.jCharts.properties.util.ChartItem
`getPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STROKE

    private static final Stroke DEFAULT_STROKE

### DEFAULT_STROKE_1_5

    private static final Stroke DEFAULT_STROKE_1_5

### DEFAULT_AXIS

    public static final ChartStroke DEFAULT_AXIS

### DEFAULT_GRIDLINES

    public static final ChartStroke DEFAULT_GRIDLINES

### DEFAULT_TICKS

    public static final ChartStroke DEFAULT_TICKS

### DEFAULT_ZERO_LINE

    public static final ChartStroke DEFAULT_ZERO_LINE

### DEFAULT_BAR_OUTLINE

    public static final ChartStroke DEFAULT_BAR_OUTLINE

### DEFAULT_CHART_OUTLINE

    public static final ChartStroke DEFAULT_CHART_OUTLINE

### DEFAULT_LEGEND_OUTLINE

    public static final ChartStroke DEFAULT_LEGEND_OUTLINE

### stroke

    private Stroke stroke

Constructor Detail

### ChartStroke

    public ChartStroke(Stroke stroke,
                       Paint paint)

Parameters:
  `stroke` -
  `paint` -

Method Detail

### setupGraphics2D

    public void setupGraphics2D(Graphics2D graphics2D)

  Sets the Paint and Stroke implementations on the Graphics2D Object

  Overrides:
    `setupGraphics2D` in class `ChartItem`
  Parameters:
    `graphics2D` -

### draw

    public void draw(Graphics2D graphics2D,
                     Shape shape)

  Parameters:
    `graphics2D` -
    `shape` -

### fill

    public void fill(Graphics2D graphics2D,
                     Shape shape)

  Parameters:
    `graphics2D` -
    `shape` -